:mod:`cjklib.test.readingoperator` --- Unit tests for reading.operator
======================================================================


.. automodule:: cjklib.test.readingoperator



Classes
--------

.. autoclass:: CanoneseIPAOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CanoneseYaleOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseYaleOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GROperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GROperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HangulOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HangulOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HiraganaOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: KanaOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: KatakanaOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinBrailleOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinIPAOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingOperatorTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingOperatorTestCaseCheck
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesOperatorConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesOperatorReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   



